Figure - Bug #112149

00 Test-1T #110867 (New): V1.00 O O OO O
OO Test-1T #110868 (New): BSP-BVTO O -0/0 000

OBSPOOEVTO OpowerD OO OO OMCUDOOO2280 000000000000 dump
2022-09-26 17:29 - SZTS_TEST 0 O

Status: CLOSED Start date: 2022-09-26
Priority: High Due date: 2023-01-18
Assignee: gbooboo_cepTsbod % Done: 60%
Category: LC Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: - Found Version: 09240 release [0 userdebug O
Resolution: WONTFIX Degrated: -

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: Bring Up Test Root cause:

Description
Related issues:
Related to Figure - Bug # 111971: 0 VC10 0 BSPO O EVTO O powerd O ... CLOSED 2022-09-15 2023-03-10

History

#1 - 2022-09-26 17:45 - CD SYSTEM-O O O
- Status changed from New to ASSIGNED
- Assignee changed from CD SYSTEM-O 00O toCDLCO OO

386745 [04:39:40][ 124.922091] [crtc_c][0x97b91ac5][00:14:09.220365] wlan: [782:E:QDF] BEFORE_UNLOCK: lock held too long (151720us)

386746 [04:39:40][ 124.932526] QDF BUG in qdf_spin_unlock_irgrestore Line 438: Failed assertion '0°

386747 [04:39:40][ 124.940144] ~----------- [ cut here J------------

386748 [04:39:40][ 124.944888] kernel BUG at ../../vendor/qcom/opensource/wlan/qcacld-3.0/.qca6390/./qca-wifi-host-cmn/qdf/linux/src/qdf_trace.c:3987!
386749 [04:39:40][ 124.957022] Internal error: Oops - BUG: 0 [#1] PREEMPT SMP

386750 [04:39:40][ 124.962661] Modules linked in: wlan(O) tsnv(O) machine_dlkm(O) wed938x_slave_dlkm(O) wed938x_dlkm(O) wed9xxx_dlkm(O)
mbhc_dlkm(O) tx_macro_dlkm(O) rx_macro_dlkm(O) va_macro_dlkm(O) wsa_macro_  dlkm(O) swr_ctrl_dlkm(O) bolero_cdc_dlkm(O)
wsa881x_dlkm(O) wed_core_dlkm(O) stub_dlkm(O) hdmi_dlkm(O) swr_dlkm(O) pinctrl_Ipi_dlkm(O) pinctrl_wcd_dlkm(O) usf_dlkm(O) native_dlkm(O)
platform_dlkm(O) g6_dl  km(O) adsp_loader_dlkm(O) apr_dlkm(O) snd_event_dlkm(O) g6_notifier_dlkm(O) q6_pdr_dlkm(O) msm_11ad_proxy
386751 [04:39:40][ 125.007644] Process crtc_commit:125 (pid: 782, stack limit = Ox(ffffff800df98000)

386752 [04:39:40][ 125.015242] CPU: 5 PID: 782 Comm: crtc_commit:125 Tainted: GS W O  4.19.157+ #1

386753 [04:39:40][ 125.023724] Hardware name: Qualcomm Technologies, Inc. kona MTP-RmPM8150b. VX1(MCE) EVT1 (DT)

386754 [04:39:40][ 125.032468] pstate: 60c00085 (nZCv dalf +PAN +UAO)
386755 [04:39:40][ 125.037499] pc: __qdf_bug+0xc/0x10 [wlan]
386756 [04:39:40][ 125.041793] Ir : wlan_hdd_pm_qos_notify+0x300/0x440 [wlan]

00o0o0owfidO0OO0OO0O00LC00000

#2-2022-09-2821:39-00 0 0 0 0-RD3_CDTSO O

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V2.0_update_20221012

#3-2022-10-0822:30-CDLCO OO

1. 0 O O case https://support-qualcomm.force.com/s/case/5004V00001J560v/8250wlan-lock-held-too-long-causes-entering-dump 0 0 O O O
200wlan0 0000000

#4 - 2022-10-11 15:58 - CDTS_TEST O O
- Target version changed from VVX1_MCE_FSE_V2.0_update_20221012 to VX1_MCE_FSE_V3.0_20221030

OOCASED00000000000008BUGODODODODO10.30

#5-2022-10-1216:45-CDLCO OO

gooooboooooobuMPOODOOOODO

#6 - 2022-10-13 18:13 - SZTS_TEST O O

0 O released 0 093000 userdebugD OO0 OmeuD 0001780 0000000020 00000000000

#7-2022-10-18 10:34 - SZTS_TEST O O

OOEVT20000O0rebootd 04360 00000 Odump OO OODODO
dumpO O O O O https://thundersoft.feishu.cn/file/boxcn7K6kReQaSRwi TFvhvxs1De

#8 - 2022-10-18 10:45 - SZTS_TEST O O
- File Serial-COM78_20221017133324.rar added

#9 - 2022-10-24 09:59 - SZTS_TEST O O

- File Serial-COM78_20221022000000.rar added

released] 0 10140 userdebugD D 0 O OMCUO 09360 000000000 OO O dump

#10 - 2022-10-24 14:19 - CDTS-TEST O O
- Due date set to 2022-10-26
https://support-qualcomm.force.com/s/case/5004V00001J56Ov/8250wlan-lock-held-too-long-causes-entering-dump
https://thundersoft.feishu.cn/file/boxcn7K6kReQaSRwiTFvhvxs1De

102600 0bug0000O0O00OOO

#11 - 2022-10-27 15:20 - CDTS-TEST O 0
- Target version changed from VX1_MCE_FSE_V3.0_20221030to VX1_MCE_FSE_V3.0_update_20221115

#12 - 2022-10-2800:20-CDLC O O O

ooo
gbooo0ooo4o00000oooooobooo

#13 - 2022-11-08 09:32 - CDTS-TEST O O
- Due date changed from 2022-10-26 to 2022-11-18
- Target version changed from VX1_MCE_FSE_V3.0_update_20221115 to VX1_MCE_FSE_V4.0_20221128

#14 - 2022-11-1723:31-CDLCO OO
- Due date changed from 2022-11-18 to 2022-11-22

000 00METADO (O O crashd )
ftp://dvbuild@10.0.76.28/home/scm/VerifyBuild/Pre_figure turbox-c2130c-lal.1-gssi12-dev/20221117/202211171905-2465
joooo,0oooo.

#15-2022-11-1922:58 -CDLC O O O

[0 O O https://share.thundersoft.com/redmine/issues/111971
gooog.

#16 - 2022-11-2312:48-CDLCO O O
- Target version changed from VX1_MCE_FSE_V4.0_20221128 to MCE_V4.0update_20221215(0] VC1_FSE_Vdec1219)

0 O900EO OO OO OPCIED O FWO Calibrationd O O wifi DSPO OO O O O
000Assert OO
O000000Assert00000O&OO ODOOOODOOPCIEDODOODOODOODODO”

#17 - 2022-11-2721:14-CDLCO OO
- Due date changed from 2022-11-22 to 2022-11-30

ood

[22:04:02][ 72.676116] cnss: fatal: Timeout waiting for FW ready indication

[22:04:08][ 78.820258] cnss: Timeout (40000ms) waiting for calibration to complete

[22:04:08][ 78.828557] cnss: ASSERT at line 2433

[22:04:08][ 78.832364] kernel BUG at drivers/net/wireless/cnss2/pci.c:2433!

0000000000 QMI_WLFW_FW_MEM_READY_IND VOlReadyD OO OO {
type = QMI_INDICATION,
.msg_id = QMI_WLFW_FW_MEM_READY_IND_VO01,

.ei =wlfw_fw_mem_ready_ind_msg_v01_ei,
ftp://dvbuild@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20221117/202211171905-2465
https://share.thundersoft.com/redmine/issues/111971

.decoded_size = sizeof(struct wifw_fw_mem_ready ind_msg_v01),
fn=cnss_wlfw_fw_mem_ready _ind_cb
h
0 O O Debug patch
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/165655
goooboob0obOoboOObumpO0OO00OO0OO0OO0OO0ODODODOOOOPCIDOD OWLANFWDOODOO

#18 - 2022-11-2809:28-CDLC O O O

oood

011214900 00000Debugpatch0 000 004200 00000000
[22:04:02][ 72.676116] cnss: fatal: Timeout waiting for FW ready indication

[22:04:08][ 78.820258] cnss: Timeout (40000ms) waiting for calibration to complete
[22:04:08][ 78.828557] cnss: ASSERT at line 2433

[22:04:08][ 78.832364] kernel BUG at drivers/net/wireless/cnss2/pci.c:2433!
0000000000 QMI_WLFW_FW_MEM_READY_IND VO01ReadyD 00O OO {
type = QMI_INDICATION,

.msg_id =QMI_WLFW_FW_MEM_READY_IND_V01,

.ei =wlfw_fw_mem_ready_ind_msg_vO01_ei,

.decoded_size = sizeof(struct wifw_fw_mem_ready_ind_msg_v01),
fn=cnss_wlfw_fw_mem_ready_ind_cb

h?

0 O O Debug patch
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/165655
0000000 DbO0b0OObump O 000OO0O0O0O0ODODODOOOOPCIODOD OWLANFWDOODOO

#19-2022-11-2902:01-CDLCO OO

ooooooogogrrrod

#20-2022-11-3008:26-CDLCO O O

ooao

001330 000000000000000000O000O00O00OwWwan0 00000000

#21-2022-12-0110:32-CDLCO OO

ooo
#22-2022-12-0608:34-CDLCO OO

UPdate:
#23-2022-12-0909:53-CDLCO OO
00oo00oooooooOweanOO,000000000DO0.

(Coo0oo0oo0oooooooo)
gooooooooooooon.

#24 - 2022-12-1202:34-CDLC O OO

- Assignee changed fromCD LC 0 0 0 to CDTS_TEST O O

HioOO

g00000oo000o0O00OrRwWOOODOOODOMessage. DOODOOOODORWODOO

goo0o0ooooOoobooOowoo0ooooooboooooo

00000000 O0wlan_logsd O O O logeat.

gobobooooooooooooooo

#25 - 2022-12-12 09:58 - CDTS-TEST 0 0
- Assignee changed from CDTS_TESTO O toCDLCO OO

O000O0O0OneedinfoO0OO0O

#26 - 2022-12-1214:04-CDLC O O O

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed fromCD LC 0 0 0 to CDTS_TEST O O

HioOOO

gboo00oooooooooorwOOODOO0OOOOMessage. DOOOOOOOFRWODOO

goo0o0oooooooglecocn0OOOoOOOOOOOOOO

000000000 0wlan_logst O O O logcat.

gooooooooooooooooo

#27 - 2022-12-14 19:00 - CDTS-TEST O O

- Category changed from SYSTEM to LC

#28 - 2022-12-1419:01 - CDTS-TEST O O
- Target version changed from MCE_V4.0update_20221215(0] VC1_FSE_Vdec1219) to VX1_MCE_FSE_V5.0_20221230

#29 - 2023-01-12 15:59-CD TPM-0 O O
- Due date changed from 2022-11-30 to 2023-01-18

#30 - 2023-01-29 10:24 - CDTS_TEST O O
- Assignee changed from CDTS_TESTO O toOD O OO OO _CDTSOO
#31-2023-02-0620:27-000 000 _CDTSO O

gooOogol20oooood

ooo
0068 0 0 O O O MCUO0.0.70 ->00700 0 0 0.090 0000
00700 0 0 0.090->0068 0 D O O OMCU0O7TOOOOOOOOOOO

#32-2023-02-0720:56-CDLC O OO
- Status changed from NEED_INFO to RESOLVED
- % Done changed from 0 to 60

HiOOO

00001meynooooo00userbDBOOOOreotDOODODOO

https://share.thundersoft.com/redmine/issues/111971
oo

#33-2023-02-0811:28-CDLCO O O
- Resolution changed from -- to WONTFIX

#34 -2023-02-08 11:50-CDLCO OO

ooo
00000 userdebugh O 0 O O Ethernetd D lan743x0 000 000000wifi0 00000000

OOuserd 0000000000000 00000O0wifi0OO000Ote-serviced Owifid 00000000 te-serviced Dwifid Dwifil 00000000

Jooooooowifiooooooo
O0userd OrootD 0O OOO

#35-2023-02-2815:13-0 00000 _CbTsO O
- Status changed from RESOLVED to VERIFIED

0 O 0O O O https://thundersoft.feishu.cn/sheets/shtcn5ImgRt11hgQPZiH G2k CNxe?sheet=NxPTfh
joMCcuOoOUOOoOoUooOoOUooUOOooooooog

#36-2023-02-2815:13-0 0 0000 _CDTSO O
- Status changed from VERIFIED to CLOSED

Files

Serial-COM119_20220924195645.rar 4.86 MB 2022-09-26 SZTS TESTO O
Serial-COM78_20221017133324.rar 779 KB 2022-10-18 SZTS TESTO O
Serial-COM78_20221022000000.rar 18.3 MB 2022-10-24 SZTS TESTO O
